Format a CWT credential as a QR code
Returns a QR code representation of a CWT credential from a provided encoded string representation of that credential.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>application/json- body
payload*stringString representation of the encoded CWT credential.
width?numberOptionally specify the desired width of the output QR code. When no width is specified MATTR VII will generate a QR code with an optimised width based on the size of the payload. Maximal value is 1000px.
QR code generated
response?fileimage/pngbinarycurl -X POST "https://example.com/v2/credentials/compact/qrcode" \ -H "Content-Type: application/json" \ -d '{ "payload": "CSS:/1/2KCE3IQEJB5DCMSMGRKXI3IBE2QFSANKVACBUYQYB2HQKGTCDAHI6BQ2MIMA5DYBPAUWI2L..." }'"string"How would you rate this page?
Sign a CWT credential POST
Returns a signed CWT credential generated from a provided valid payload. The payload can include any number of custom claims, as CWT credentials do not comply with any specific standard or specification.
Format a CWT credential as a PDF POST
Returns a PDF representation of a provided CWT credential based on an existing PDF template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout>